<?php
/**
 * @package SJ Slideshow III for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
 
defined('_JEXEC') or die;

jimport('joomla.form.formfield');

if (!class_exists('JFormFieldSjZooApplication')){
	class JFormFieldSjZooApplication extends JFormField {
	
		protected $type = 'SjZooApplication';
		
		protected function getInput(){
			$file_config = JPATH_ADMINISTRATOR.'/components/com_zoo/config.php';
			if(file_exists($file_config)){
				require_once($file_config);
				$app = App::getInstance('zoo');
				$table	= $app->table->application;
				$options = array();
				$applications = (array)$table->all(array('order' => 'name'));
				if(!empty($applications)) {
					foreach ($applications as $application) {
						$cateogries = (array)$application->getCategories();
						if(!empty($cateogries)){
							$options[] = $app->html->_('select.option', $application->id, $application->name);
						}
					}	
					$attributes = 'class="inputbox" style="min-width: 150px;"';
					$fieldName = $this->name;
					return JHTML::_('select.genericlist', $options, $fieldName, $attributes, 'value', 'text', $this->value, $this->id);
				}else{
					$html[] = "<div style='clear:both; margin: 0 0 0 150px; font-weight:bold; color:red;'>";
					$html[] = JText::_('Loading zoo application error.');
					$html[] = "</div>";
					return implode("\n", $html);
				}
			}else{
				$html[] = "<div style='clear:both; margin: 0 0 0 150px; font-weight:bold; color:red;'>";
				$html[] = JText::_('Zoo component is not installed?');
				$html[] = "</div>";
				return implode("\n", $html);
			}
		}
	}
}