<?php
/**
 * @package SJ Zoo SlideShow III
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

if (!class_exists('SlideShowiiiReader')){
	class SlideShowiiiReader extends SjReader{
		public function getList(&$params){
			$list =array();
			$items=array();		
			if (isset($params['data_source']) && $params['data_source']=='from_source'){
				$items =$this->getArrImageFolder($params);
				if(!empty($items)) {
					foreach($items as $item) {					
						$temp=array();
						if(!isset($item['id'])){
							$item['id']=null;
							 $temp['id']=$item['id'];
						}
						if(!isset($item['title'])){
							$item['title']=$item[0];
							$temp['title']=$item['title'];
						}
						if(!isset($item['image'])){
							$item['image']=$item[3];
							$temp['image']=$item['image'];
						}
						if(!isset($item['desc'])){
							$item['desc']=$item[1];
							$temp['desc']=$item['desc'];
						}
						if(!isset($item['link'])){
							$item['link']=$item[2];
							$temp['link']=$item['link'];
						}
						$list[]=$temp;
					}
				}
			}else if(isset($params['source']) && !empty($params['source'])){
    			$items = $this->zoo->getCategoryItems($params['source'], $params);	
    			if(!empty($items)) {
    				$arrcustom_url=array();
    				$arrcustom_url = $this->_getCustomUrl($params['custom_url']);
    				foreach($items as $key => $item){
    				    $temp = array();
                        $this->zoo->getItemDescription($item,$params);
                        if (!$this->zoo->getItemImage($item,$params) || $item->image==false){
    						$image_url = 'modules/' . YTools::getModule()->module . '/assets/images/nophoto.gif';					
    						$item->image =$image_url;
    					}					
    					if(array_key_exists($item->id, $arrcustom_url)){
    						$item->link = $arrcustom_url[$item->id];					
    					} else {
    						$item->link = $this->zoo->getItemUrl($item);
    					}                       
    					$temp['id'] = $item->id;
    					$temp['title'] = $item->title;
    					$temp['image'] = $item->image;
    					$temp['link'] = $item->link;
                        YTools::extractImages($item->description);	
    					if ((int)$params['item_desc_keephtml'] == 0){
    						$temp['desc'] = strip_tags($item->description);
    					} else {
    						$temp['desc'] = $item->description;
    					}
                       	$list[] = $temp;
    
    				}
    			}	
            }
			return $list;
		}

		private  function getArrImageFolder($params){
			
  		 $folderimage = JPATH_SITE.DS. str_replace( '/', DS, $params['image_folder_path']);
         if(file_exists($folderimage)){
            $arrdirImage = $this->dirImages($folderimage);                         
            $tmp = explode("\n", trim($params['custom_image_folder']));
			
            $tmpArr = array();
            foreach( $tmp as $key=> $strTmp){
                $posFolderPath = strpos($strTmp, "=>");
                if($posFolderPath >=0){
                    $strArrTmp =  explode("=>",$strTmp);
                    if(array_key_exists($strArrTmp[0],$arrdirImage)){
                        $strArrTmp[0] = $arrdirImage[$strArrTmp[0]];
                    }
                    if(JFile::exists($folderimage.DS.$strArrTmp[0])){
                        
                        $tmpArr[$key] = array_merge(explode('|',$strArrTmp[1]),array($params['image_folder_path'].'/'.$strArrTmp[0]));
                        
                        if(isset($tmpArr[$key][2])){
                         
                            $tmpLink = $tmpArr[$key][2];
        
                            $haveHttp =  strpos(trim($tmpLink), "http://"); 
                            //var_dump($haveHttp);die;        
                            if(!$haveHttp && ($haveHttp!==0)){
                                $link = "http://" . trim($tmpLink);  
                            }else {
                                $link = trim($tmpLink);
                            }
                           $tmpArr[$key][2] = $link;
                        }
                        
                    }
                }  
            }
          }
           
		   return $tmpArr;
            
    }
    
		private function dirImages($dirfolder) {
		/* 	Ytools::dump($dirfolder);die(); */
			if(file_exists($dirfolder)){
			$dirfolderImages = dir($dirfolder); //Open Directory
			$images = array();
			while (false!== ($file = $dirfolderImages->read())) //Reads Directory
			{
				$extension = substr($file, strrpos($file, '.')); // Gets the File Extension
				if($extension == ".jpg" || $extension == ".jpeg" || $extension == ".gif" || $extension == ".png" || $extension == ".bitmap"){ // Extensions Allowed
					$namefiles = explode(".",$file);
					$images[$namefiles[0]] = $file;
				} // Store in Array
			}
			$dirfolderImages->close(); // Close Directory
			asort($images); // Sorts the Array
			}else{
			return;
			}
			return $images; //Author: ActiveMill.com
		}

		private function _getCustomUrl($custom_url) {
			$arrUrl = array();
			$tmp = explode("\n", trim($custom_url));
			foreach( $tmp as $strTmp){
				$pos = strpos($strTmp, ":");
				if($pos >=0){
					$tmpKey = substr($strTmp, 0, $pos);
					$key = trim($tmpKey);
					$tmpLink = substr($strTmp, $pos+1, strlen($strTmp)-$pos);
					$haveHttp =  strpos(trim($tmpLink), "http://");
					if($haveHttp<0 || ($haveHttp !== false) ){
						$link = trim($tmpLink);
					}else{
						$link = "http://" . trim($tmpLink);
					}
					$arrUrl[$key] = $link;
				}
			}
			return $arrUrl;
		}
	}
}
