<?php
/**
 * @package SJ Slideshow III for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

if(!empty($list)) {

    JHtml::stylesheet('modules/'.$module->module.'/assets/css/style.css');
    JHtml::stylesheet('modules/'.$module->module.'/assets/css/style_color.css');
    JHtml::stylesheet('modules/'.$module->module.'/assets/css/style_'.$params->get('theme','blue').'.css');


    if( !defined('SMART_JQUERY') && $params->get('include_jquery', 0) == "1" ){
        JHtml::script('modules/'.$module->module.'/assets/js/jquery-1.8.2.min.js');
        JHtml::script('modules/'.$module->module.'/assets/js/jquery-noconflict.js');
        define('SMART_JQUERY', 1);
    }

    JHtml::script('modules/'.$module->module.'/assets/js/jquery.cycle.all.js');
    ImageHelper::setDefault($params);

    $small_image_config=array(
        'type'			=> $params->get('imgcfgnav_type'),
        'width' 		=> $params->get('imgcfgnav_width'),
        'height' 		=> $params->get('imgcfgnav_height'),
        'quality' 		=> 90,
        'function' 		=> ($params->get('imgcfgnav_function') == 'none')?null:'resize',
        'function_mode' => ($params->get('imgcfgnav_function') == 'none')?null:substr($params->get('imgcfgnav_function'), 7),
        'transparency'  => $params->get('imgcfgnav_transparency', 1)?true:false,
        'background' 	=> $params->get('imgcfgnav_background')
    );

    $tag_id	= 'slideshow3_'.rand().time();

    if($params->get('start')<=0){
        $params->set('start',0);
    }else{
        $params->set('start',$params->get('start')-1);
    }
    if($params->get('start') >= count($list)){
        $params->set('start',count($list)-1);
    }
    $options=$params->toObject();

    ?>

    <div class="slideshow3" id="<?php echo $tag_id; ?>" style="width:<?php echo $options->module_width ?>px;" ><!--Begin sj-content-slideshow-->
        <?php if (!empty($options->pretext)): ?>
            <div class="pretext"><?php echo $options->pretext; ?></div>
        <?php endif; ?>
        <div class="sl3-wrap" style="height:<?php echo ($options->nav_style_display=='title')?($options->imgcfg_height +80):($options->imgcfg_height +60+ $options->imgcfgnav_height) ?>px;width:<?php echo $options->module_width ?>px;" ><!--Begin sj-container-->
            <div class="sl3-items" style="height:<?php echo $options->imgcfg_height ?>px;width:<?php echo $options->module_width ?>px;">
                <?php $i=0;  foreach($list as $item){ $i++; ?>
                    <div class="sl3-item <?php echo ($i==($options->start+1))?'curr':'';?>" style="height:<?php echo $options->imgcfg_height ?>px;width:<?php echo $options->module_width ?>px;"  ><!--Begin sj-item-->
                        <div class="sl3-item-image" style="height:<?php echo $options->imgcfg_height ?>px;width:<?php echo $options->imgcfg_width ?>px;" >
                            <a href="<?php echo $item->link; ?>"  <?php echo ZooSlideshowIIIHelper::parseTarget($options->item_link_target); ?>  title="<?php echo $item->title ;?>" >
                                <span class="sl3-image-border"></span>
                                <?php $img = ZooSlideshowIIIHelper::getIZooImage($item, $params);?>
                                <img src="<?php echo ZooSlideshowIIIHelper::imageSrc($img); ?>" title="<?php echo $item->title; ?>"	  alt="<?php  echo $item->title; ?>" />
                            </a>
                        </div>

                            <?php $w = $options->module_width - $options->imgcfg_width-20;  ?>
                            <div class="sl3-item-info <?php echo $options->item_style_desc;?> top-right" style="width:<?php echo ($options->item_style_desc=='style2')?(($w>0)?$w:0):300; ?>px;" >
                                <div class="transparency"></div>
                                <div class="sl3-item-content" >

                                    <?php if($options->item_title_display==1){ ?>
                                        <div class="sl3-item-title">
                                            <a href="<?php echo $item->link; ?>"  <?php echo ZooSlideshowIIIHelper::parseTarget($options->item_link_target); ?>  title="<?php echo $item->title ;?>" >
                                                <?php echo ZooSlideshowIIIHelper::truncate($item->title,$options->item_title_max_characs); ?>
                                            </a>
                                        </div>
                                    <?php } ?>

                                    <?php if ($params->get('item_desc_display') == 1 && ZooSlideshowIIIHelper::_trimEncode($item->displayIntrotext) != '') { ?>
                                        <div class="sl3-desc">
                                            <?php echo ZooSlideshowIIIHelper::truncate($item->displayIntrotext, $params->get('item_desc_max_characs')); ?>
                                        </div>
                                    <?php } ?>

                                    <?php if( $params->get('item_tags_display') == 1 && $item->itemtag !='' ) { ?>
                                        <div class="sl3-tags">
                                            <?php echo $item->itemtag;?>
                                        </div>
                                    <?php } ?>

                                    <?php if( $params->get('item_social_display') == 1 && $item->socialbuttons != '' )  { ?>
                                        <div class="sl3-social">
                                            <?php echo $item->socialbuttons;?>
                                        </div>
                                    <?php }?>

                                    <?php if( $params->get('item_related_articles_display') == 1 && $item->relateditems != '' ) { ?>
                                        <div class="sl3-related-articles">
                                            <h3><?php echo JText::_('REALATED_ARTICLES'); ?></h3>
                                            <ul>
                                                <?php echo $item->relateditems; ?>
                                            </ul>
                                        </div>
                                    <?php }?>

                                    <?php if( ($params->get('item_readmore_display') == 1) ){ ?>
                                        <div class="sl3-item-readmore">
                                            <a href="<?php echo $item->link;?>" title="<?php echo $item->title ?>" <?php echo ZooSlideshowIIIHelper::parseTarget($params->get('item_link_target')); ?>>
                                                <?php echo $params->get('item_readmore_text');?>
                                            </a>
                                        </div>
                                    <?php }?>

                                </div><!--End sl3-item-content-->
                            </div> <!--End sl3-item-info-->
                    </div><!--End sj-item-->
                <?php } ?>
            </div>
            <!--Begin sl3-control-->
            <div class="sl3-control <?php echo $options->theme ?> <?php echo $options->nav_type ?>" style="height:<?php echo ($options->nav_style_display=='title')?56:($options->imgcfgnav_height+34) ?>px;index:<?php echo 2*count($list); ?>;width:<?php echo($options->nav_type=='style2')?($options->module_width-14):($options->module_width); ?>px;" >
                <?php if($options->nav_type=='style2') { ?>
                    <div class="sl3-nav-background"></div>
                <?php } ?>
                <div class="sl3-control-inner <?php echo $options->nav_type ?> <?php echo $options->nav_style_display; ?>">
                    <div class="sl3-prev"></div>
                    <div class="sl3-next"></div>
                    <div class="pag-list">
                        <ul class="pag-list-inner <?php echo $options->nav_style_display ?>"  >
                            <?php $i=0; foreach($list as $item){ $i++;?>
                                <li class="pag-item pag-item-<?php echo $i; ?> <?php echo ($i==($options->start+1))?'active':'';?>">
                                    <?php if($options->nav_style_display=='title'){ ?>
                                        <div class="pag-item-title"  >
                                            <?php echo ZooSlideshowIIIHelper::truncate($item->title,$options->nav_title_max_characs); ?>
                                        </div>
                                    <?php } else { ?>
                                        <div class="pag-item-image" style="width:<?php  echo $options->imgcfgnav_width ?>px;height:<?php echo $options->imgcfgnav_height ?>px;" >
                                            <?php $img_nav = ZooSlideshowIIIHelper::getIZooImage($item, $params, $prefix='imgcfgnav'); ?>
                                            <img src="<?php echo ZooSlideshowIIIHelper::imageSrc($img_nav,$small_image_config); ?>" title="<?php echo $item->title; ?>"	  alt="<?php  echo $item->title; ?>" />
                                        </div>
                                    <?php } ?>
                                </li>
                            <?php } ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <?php if (!empty($options->posttext)): ?>
            <div class="posttext"><?php echo $options->posttext; ?></div>
        <?php endif; ?>
    </div><!--End sj-vm-slideshow-->
<?php } else { ?> <p><?php echo JText::_('Has no content to show!'); ?></p> <?php }?>