<?php
/**
 * @package SJ Slideshow III for Zoo
 * @version 1.1.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
?>
<script type="text/javascript">
//<![CDATA[
	jQuery(document).ready(function($){
		;(function(element){
			var $element = $(element);
			
			function setSlidingTo(index, options){
				var tabs = $(options.pager);
				var tabs_holder = tabs.eq(0).parent();
				var tabs_container = tabs_holder.parent();
				if (tabs_container && tabs_holder){
					tabs_container.css({height: function(){
						return tabs_container.height();
					}});
					tabs_container.css({position: 'absolute'});
					tabs_holder.css({position: 'absolute'});
				}
				var viewport   = {};
					viewport.left  = 0;
					viewport.right = tabs_container.width();
				var visible   = {};
					visible.left  = viewport.left  - parseInt( tabs_holder.position().left );
					visible.right = viewport.right - parseInt( tabs_holder.position().left );
				var posUpdate = function(){
					visible.left  = viewport.left  - parseInt( tabs_holder.position().left );
					visible.right = viewport.right - parseInt( tabs_holder.position().left );
				};
				var slidingTo = function(index, d){
					if (!d){
						d = 500
					}
					if (index >= 0){
						if (index == 0){
							index = 1;
						}
						var prevLeft = tabs.eq(index-1).position().left;
						if (prevLeft < visible.left){
							tabs_holder.animate({
								left: '+='+(visible.left-prevLeft)+'px'
							}, {
									duration: d,
									complete: posUpdate,
									queue:false
							});
						}
					}
					if (index < tabs.length){
						if (index == tabs.length-1){
							index = tabs.length-2;
						}
						var nextRight = tabs.eq(index+1).position().left + tabs.eq(index+1).width();
						if (nextRight > visible.right){
							tabs_holder.animate({
								left: '-='+(nextRight-visible.right)+'px'
							}, {
								duration: d,
								complete: posUpdate,
								queue:false
							});
						}
					}
				};
				slidingTo(index);
			}
			
			function setPositionTo(index, options){
				var moveToElement = $(options.pager).eq(index);
				var ul = moveToElement.parent();
				var slider = ul.find('.pag-item-back');
				if (!slider || slider.length==0){
					slider = $('<li class="pag-item-back"><div class="pag-item-left"></div><div class="pag-item-right"></li>').appendTo(ul);
					slider.css({
						position: 'absolute',
						height: moveToElement.height()
					});
				}
				slider.animate({
					width: moveToElement.width(),
					left: moveToElement.position().left
				},{
					duration:500,
					queue:false
				});
			
			}
			
			$('.sl3-items', $element).cycle({
				before: function(curr, next, options){
					$('.sl3-item',$element).eq(options.startingSlide).addClass('curr');
					if (typeof options.inited == 'undefined'){
						var slidingTo = options.startingSlide;
						options.inited = true;
						 if(typeof options.fxs != 'undefined'){
							var tmp=[];
							var j=0;
							for(var i=0;i<options.fxs.length;i++){
								if(options.fxs[i]=='none'){
									continue;
								}
								tmp[j++]=options.fxs[i];
							}
							if(tmp.length!=options.fxs.length){
								options.fxs=tmp;
							}
						}
					} else {
						var slidingTo = options.nextSlide;
						$('.sl3-item',$element).removeClass('curr');
						$('.sl3-item',$element).eq(options.nextSlide).addClass('curr');
					}
					setSlidingTo(slidingTo, options);
					setPositionTo(slidingTo, options);
				},
				fx: '<?php echo $options->effect; ?>',
				speed:<?php echo $options->slideshow_speed; ?>,
				timeout:<?php echo ($options->play==1)?($options->timer_speed):0; ?>,
				pause:<?php echo $options->pause_hover ;?>,
				startingSlide:<?php echo $options->start; ?>,
				pager: $('.pag-list .pag-item',$element),
				pagerAnchorBuilder: function(i, el){
					return $('.pag-list .pag-item:eq(' + i + ')',$element);
				},
				updateActivePagerLink: function(pager, i, clsName){
					$(pager).removeClass('active').eq(i).addClass('active');
				},
				next: $('.sl3-next',$element),
				prev: $('.sl3-prev',$element),
				pagerEvent: '<?php echo $options->pager_event ?>'
			});
		})('#<?php echo $tag_id; ?>');
	});
//]]>
</script>
